summaryrefslogtreecommitdiff
path: root/package/ez-ipupdate/files
diff options
context:
space:
mode:
authorwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
committerwbx <wbx@hydrogenium.(none)>2009-05-17 14:41:34 +0200
commit219a6dab8995aad9ac4860cc1a84d6f3509a03a4 (patch)
treeb9c0f3c43aebba2fcfef777592d0add39f2072f4 /package/ez-ipupdate/files
Initial import
Diffstat (limited to 'package/ez-ipupdate/files')
-rw-r--r--package/ez-ipupdate/files/ez-ipupdate.conf10
-rw-r--r--package/ez-ipupdate/files/ez-ipupdate.init26
2 files changed, 36 insertions, 0 deletions
diff --git a/package/ez-ipupdate/files/ez-ipupdate.conf b/package/ez-ipupdate/files/ez-ipupdate.conf
new file mode 100644
index 000000000..386040674
--- /dev/null
+++ b/package/ez-ipupdate/files/ez-ipupdate.conf
@@ -0,0 +1,10 @@
+service-type=zoneedit
+server=your.update.server
+user=myname:mypassword
+host=mydomain.com
+interface=ppp0
+quiet
+
+# Do not change the lines below
+cache-file=/tmp/ez-ipupdate.cache
+pid-file=/var/run/ez-ipupdate.pid
diff --git a/package/ez-ipupdate/files/ez-ipupdate.init b/package/ez-ipupdate/files/ez-ipupdate.init
new file mode 100644
index 000000000..36cfa7dd9
--- /dev/null
+++ b/package/ez-ipupdate/files/ez-ipupdate.init
@@ -0,0 +1,26 @@
+#!/bin/sh
+#FWINIT 50
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${ezipupdate:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ /usr/sbin/ez-ipupdate -c /etc/ez-ipupdate.conf -d
+ ;;
+stop)
+ killall ez-ipupdate
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?